<?xml version="1.0" encoding="utf-8"?>
<linkbase xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://www.xbrl.org/2003/linkbase">
  <labelLink xlink:role="http://www.xbrl.org/2003/role/link" xlink:type="extended" xmlns:xlink="http://www.w3.org/1999/xlink">
    <loc xlink:type="locator" xlink:href="747800N0666HD1320P53-2023-12-31.xsd#speedyad_OtherReceivablesPrepayments" xlink:label="speedyad_OtherReceivablesPrepayments" />
    <loc xlink:type="locator" xlink:href="747800N0666HD1320P53-2023-12-31.xsd#speedyad_NonCurrentLiabilitiesAcquisitions" xlink:label="speedyad_NonCurrentLiabilitiesAcquisitions" />
    <loc xlink:type="locator" xlink:href="747800N0666HD1320P53-2023-12-31.xsd#speedyad_CurrentLiabilitiesForAcquisitionsOfSubsidiaries" xlink:label="speedyad_CurrentLiabilitiesForAcquisitionsOfSubsidiaries" />
    <loc xlink:type="locator" xlink:href="747800N0666HD1320P53-2023-12-31.xsd#speedyad_CurrentPayablesEmployeesAndSocialSecurity" xlink:label="speedyad_CurrentPayablesEmployeesAndSocialSecurity" />
    <loc xlink:type="locator" xlink:href="747800N0666HD1320P53-2023-12-31.xsd#speedyad_TaxesPaidWithoutCorporateTax" xlink:label="speedyad_TaxesPaidWithoutCorporateTax" />
    <loc xlink:type="locator" xlink:href="747800N0666HD1320P53-2023-12-31.xsd#speedyad_DepositsRepaid" xlink:label="speedyad_DepositsRepaid" />
    <loc xlink:type="locator" xlink:href="747800N0666HD1320P53-2023-12-31.xsd#speedyad_OtherLoansRepaid" xlink:label="speedyad_OtherLoansRepaid" />
    <loc xlink:type="locator" xlink:href="747800N0666HD1320P53-2023-12-31.xsd#speedyad_InterestPaidOnAcquisitions" xlink:label="speedyad_InterestPaidOnAcquisitions" />
    <loc xlink:type="locator" xlink:href="747800N0666HD1320P53-2023-12-31.xsd#speedyad_ProfitDistributionCurrent" xlink:label="speedyad_ProfitDistributionCurrent" />
    <labelArc xlink:type="arc" xlink:from="speedyad_OtherReceivablesPrepayments" xlink:to="label_speedyad_speedyadOtherReceivablesPrepayments_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="speedyad_NonCurrentLiabilitiesAcquisitions" xlink:to="label_speedyad_speedyadNonCurrentLiabilitiesAcquisitions_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="speedyad_CurrentLiabilitiesForAcquisitionsOfSubsidiaries" xlink:to="label_speedyad_speedyadCurrentLiabilitiesForAcquisitionsOfSubsidiaries_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="speedyad_CurrentPayablesEmployeesAndSocialSecurity" xlink:to="label_speedyad_speedyadCurrentPayablesEmployeesAndSocialSecurity_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="speedyad_TaxesPaidWithoutCorporateTax" xlink:to="label_speedyad_speedyadTaxesPaidWithoutCorporateTax_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="speedyad_DepositsRepaid" xlink:to="label_speedyad_speedyadDepositsRepaid_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="speedyad_OtherLoansRepaid" xlink:to="label_speedyad_speedyadOtherLoansRepaid_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="speedyad_InterestPaidOnAcquisitions" xlink:to="label_speedyad_speedyadInterestPaidOnAcquisitions_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="speedyad_ProfitDistributionCurrent" xlink:to="label_speedyad_speedyadProfitDistributionCurrent_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <label xlink:label="label_speedyad_speedyadOtherReceivablesPrepayments_Standard" id="speedyad_speedyadOtherReceivablesPrepayments_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Other Receivables Prepayments</label>
    <label xlink:label="label_speedyad_speedyadNonCurrentLiabilitiesAcquisitions_Standard" id="speedyad_speedyadNonCurrentLiabilitiesAcquisitions_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Non Current Liabilities Acquisitions</label>
    <label xlink:label="label_speedyad_speedyadCurrentLiabilitiesForAcquisitionsOfSubsidiaries_Standard" id="speedyad_speedyadCurrentLiabilitiesForAcquisitionsOfSubsidiaries_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Current Liabilities For Acquisitions Of Subsidiaries</label>
    <label xlink:label="label_speedyad_speedyadCurrentPayablesEmployeesAndSocialSecurity_Standard" id="speedyad_speedyadCurrentPayablesEmployeesAndSocialSecurity_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Current Payables Employees And Social Security</label>
    <label xlink:label="label_speedyad_speedyadTaxesPaidWithoutCorporateTax_Standard" id="speedyad_speedyadTaxesPaidWithoutCorporateTax_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Taxes Paid Without Corporate Tax</label>
    <label xlink:label="label_speedyad_speedyadDepositsRepaid_Standard" id="speedyad_speedyadDepositsRepaid_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Deposits Repaid</label>
    <label xlink:label="label_speedyad_speedyadOtherLoansRepaid_Standard" id="speedyad_speedyadOtherLoansRepaid_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Other Loans Repaid</label>
    <label xlink:label="label_speedyad_speedyadInterestPaidOnAcquisitions_Standard" id="speedyad_speedyadInterestPaidOnAcquisitions_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Interest Paid On Acquisitions</label>
    <label xlink:label="label_speedyad_speedyadProfitDistributionCurrent_Standard" id="speedyad_speedyadProfitDistributionCurrent_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Profit Distribution Current</label>
  </labelLink>
</linkbase>